org.apache.maven.scm.provider.svn.svnexe.command.checkout

## Class SvnCheckOutCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkout.AbstractCheckOutCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.checkout.SvnCheckOutCommand

All Implemented Interfaces:
  Command, SvnCommand

    public class SvnCheckOutCommand
    extends AbstractCheckOutCommand
    implements SvnCommand

Version:
  $Id: SvnCheckOutCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SvnCheckOutCommand()`

### Method Summary

Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, ScmVersion version, String url)` Create SVN check out command line in a recursive way.
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, ScmVersion version, String url, boolean recursive)` Create SVN check out command line.
`protected CheckOutScmResult` `executeCheckOutCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version, boolean recursive)` Execute Check out command line.

### Methods inherited from class org.apache.maven.scm.command.checkout.AbstractCheckOutCommand

`executeCheckOutCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnCheckOutCommand

    public SvnCheckOutCommand()

### Method Detail

#### executeCheckOutCommand

    protected CheckOutScmResult executeCheckOutCommand(ScmProviderRepository repo,
                                           ScmFileSet fileSet,
                                           ScmVersion version,
                                           boolean recursive)
                                                throws ScmException

Execute Check out command line.

Specified by:
  `executeCheckOutCommand` in class `AbstractCheckOutCommand`
Parameters:
  `repo` - not null
  `fileSet` - not null
  `version` - not null
  `recursive` - `true` if recursive check out is wanted, `false` otherwise.
Returns:
  the checkout result
Throws:
  `ScmException` - if any

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                             File workingDirectory,
                                                             ScmVersion version,
                                                             String url)

Create SVN check out command line in a recursive way.

Parameters:
  `repository` - not null
  `workingDirectory` - not null
  `version` - not null
  `url` - not null
Returns:
  the SVN command line for the SVN check out.
See Also:
  `createCommandLine(SvnScmProviderRepository, File, ScmVersion, String, boolean)`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                             File workingDirectory,
                                                             ScmVersion version,
                                                             String url,
                                                             boolean recursive)

Create SVN check out command line.

Parameters:
  `repository` - not null
  `workingDirectory` - not null
  `version` - not null
  `url` - not null
  `recursive` - `true` if recursive check out is wanted, `false` otherwise.
Returns:
  the SVN command line for the SVN check out.
Since:
  1.1.1